Name: myldapklient
Version: 0.6.2
Release: alt1
Source0: %name-%version.tar.gz
URL: http://sourceforge.net/projects/myldapklient
License: GPL
Group:	Databases
Summary: This is a small LDAP-to-KAB bridging client
Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>


# Automatically added by buildreq on Mon Oct 21 2002
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ glibc-devel-static kde-common kde-config kdelibs-devel libGLU libXft libarts-devel libcups libexpat libjpeg-devel liblcms libldap-devel libmng libpng-devel libqt2-devel-static libqt3-devel libssl-devel libstdc++-devel-static zlib-devel

%description
 This is a small LDAP-to-KAB bridging client. It provides a link from an LDAP server to KAB (and then to KMail).
%prep
%setup -q

%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export CFLAGS="%optflags"
export CXXFLAGS="%optflags"

./configure --prefix=%_prefix --with-extra-libs=/usr/lib/openldap --with-extra-includes=/usr/include --with-xinerama
%make_build

%install
%make DESTDIR=%buildroot install
%set_verify_elf_method relaxed

#create menu
mkdir -p %buildroot%_menudir
kdedesktop2mdkmenu.pl %name Applications/Databases %buildroot%_datadir/applnk/Applications/%name.desktop %buildroot%_menudir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc README INSTALL COPYING AUTHORS ChangeLog
%_bindir/*
%_menudir/%name
%_datadir/applnk/Applications/*.desktop
%_iconsdir/*

%changelog
* Sun Oct 20 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6.2-alt1
- 0.6.2

- specfile cleanup

